Loading...
Searching...
No Matches
pcl::test::internal Namespace Reference

## Functions

template<typename Point1T, typename Point2T>
::testing::AssertionResult | XYZEQ (const char *expr1, const char *expr2, const Point1T &p1, const Point2T &p2)
template<typename Point1T, typename Point2T>
::testing::AssertionResult | XYZNear (const char *expr1, const char *expr2, const char *abs_error_expr, const Point1T &p1, const Point2T &p2, double abs_error)
template<typename Point1T, typename Point2T>
::testing::AssertionResult | NormalEQ (const char *expr1, const char *expr2, const Point1T &p1, const Point2T &p2)
template<typename Point1T, typename Point2T>
::testing::AssertionResult | NormalNear (const char *expr1, const char *expr2, const char *abs_error_expr, const Point1T &p1, const Point2T &p2, double abs_error)
template<typename Point1T, typename Point2T>
::testing::AssertionResult | RGBEQ (const char *expr1, const char *expr2, const Point1T &p1, const Point2T &p2)
template<typename Point1T, typename Point2T>
::testing::AssertionResult | RGBAEQ (const char *expr1, const char *expr2, const Point1T &p1, const Point2T &p2)
template<typename PointCloud1T, typename PointCloud2T>
::testing::AssertionResult | MetaDataEQ (const char *expr1, const char *expr2, const PointCloud1T &p1, const PointCloud2T &p2)
template<typename V>
::testing::AssertionResult | VectorContainsAll (const char *expr1, const char *expr2, const std::vector< V > &elements, const std::vector< V > &v)
template<typename V>
::testing::AssertionResult | VectorDoesNotContain (const char *expr1, const char *expr2, const std::vector< V > &elements, const std::vector< V > &v)

## Function Documentation

## MetaDataEQ()

template<typename PointCloud1T, typename PointCloud2T>

::testing::AssertionResult pcl::test::internal::MetaDataEQ | ( | const char * | expr1,
|  | const char * | expr2,
|  | const PointCloud1T & | p1,
|  | const PointCloud2T & | p2 )

Definition at line 190 of file pcl_tests.h.

## NormalEQ()

template<typename Point1T, typename Point2T>

::testing::AssertionResult pcl::test::internal::NormalEQ | ( | const char * | expr1,
|  | const char * | expr2,
|  | const Point1T & | p1,
|  | const Point2T & | p2 )

Definition at line 123 of file pcl_tests.h.

## NormalNear()

template<typename Point1T, typename Point2T>

::testing::AssertionResult pcl::test::internal::NormalNear | ( | const char * | expr1,
|  | const char * | expr2,
|  | const char * | abs_error_expr,
|  | const Point1T & | p1,
|  | const Point2T & | p2,
|  | double | abs_error )

Definition at line 138 of file pcl_tests.h.

## RGBAEQ()

template<typename Point1T, typename Point2T>

::testing::AssertionResult pcl::test::internal::RGBAEQ | ( | const char * | expr1,
|  | const char * | expr2,
|  | const Point1T & | p1,
|  | const Point2T & | p2 )

Definition at line 175 of file pcl_tests.h.

## RGBEQ()

template<typename Point1T, typename Point2T>

::testing::AssertionResult pcl::test::internal::RGBEQ | ( | const char * | expr1,
|  | const char * | expr2,
|  | const Point1T & | p1,
|  | const Point2T & | p2 )

Definition at line 160 of file pcl_tests.h.

## VectorContainsAll()

template<typename V>

::testing::AssertionResult pcl::test::internal::VectorContainsAll | ( | const char * | expr1,
|  | const char * | expr2,
|  | const std::vector< V > & | elements,
|  | const std::vector< V > & | v )

Definition at line 224 of file pcl_tests.h.

## VectorDoesNotContain()

template<typename V>

::testing::AssertionResult pcl::test::internal::VectorDoesNotContain | ( | const char * | expr1,
|  | const char * | expr2,
|  | const std::vector< V > & | elements,
|  | const std::vector< V > & | v )

Definition at line 247 of file pcl_tests.h.

## XYZEQ()

template<typename Point1T, typename Point2T>

::testing::AssertionResult pcl::test::internal::XYZEQ | ( | const char * | expr1,
|  | const char * | expr2,
|  | const Point1T & | p1,
|  | const Point2T & | p2 )

Definition at line 86 of file pcl_tests.h.

## XYZNear()

template<typename Point1T, typename Point2T>

::testing::AssertionResult pcl::test::internal::XYZNear | ( | const char * | expr1,
|  | const char * | expr2,
|  | const char * | abs_error_expr,
|  | const Point1T & | p1,
|  | const Point2T & | p2,
|  | double | abs_error )

Definition at line 101 of file pcl_tests.h.